package com.example.kety.mypairs;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {
    Button easy;
    Button medium;
    Button hard;


    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // Get the view from activity_main.xml
        setContentView(R.layout.activity_main);

        // Locate the button in activity_main.xml
        easy = (Button) findViewById(R.id.easy_button);
        medium = (Button) findViewById(R.id.medium_button);
        hard = (Button) findViewById(R.id.hard_button);


        // Capture button clicks
        easy.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                System.out.println("Easy");
                startActivity(new Intent(MainActivity.this, EasyActivity.class));

            }
        });


        // Capture button clicks
        medium.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                System.out.println("Medium");
                startActivity(new Intent(MainActivity.this,MediumActivity.class));
            }
        });



        // Capture button clicks
        hard.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                System.out.println("Hard");
                startActivity(new Intent(MainActivity.this, HardActivity.class));

            }
        });


    }



    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        getMenuInflater().inflate(R.menu.menu_easy, menu);
        getMenuInflater().inflate(R.menu.menu_medium, menu);
        getMenuInflater().inflate(R.menu.menu_hard, menu);
        return true;
    }
}